## Contents

- Methods

class solace.ReplicationGroupMessageId extends solace.ReplayStartLocation

This class is not exposed for construction by API users. Users should obtain an instance from solace.SolclientFactory.createReplicationGroupMessageId or from solace.Message.getReplicationGroupMessageId

ReplicationGroupMessageId specifies a Replication Group Message ID. Can be used to specify a solace.ReplayStartLocation for the message after this id. The ReplayStartLocation is set in the corresponding MessageConsumer property solace.MessageConsumerProperties#replayStartLocation.

## Constructor Top

| ReplicationGroupMessageId ( Long spoolerUniqueId, Long effectiveMessageId ) |  |

## Methods Top

Number | compare ( ReplicationGroupMessageId otherReplicationGroupMessageId ) |
String | toString ( ) | inherited from solace.ReplayStartLocation

## Constructor details Top

###
ReplicationGroupMessageId ( Long spoolerUniqueId, Long effectiveMessageId )

This class is not exposed for construction by API users. Users should obtain an instance from solace.SolclientFactory.createReplicationGroupMessageId or from solace.Message.getReplicationGroupMessageId

ReplicationGroupMessageId specifies a Replication Group Message ID. Can be used to specify a solace.ReplayStartLocation for the message after this id. The ReplayStartLocation is set in the corresponding MessageConsumer property solace.MessageConsumerProperties#replayStartLocation.

#### Parameters

Long | spoolerUniqueId spooler id component of rgmid
Long | effectiveMessageId message id component of rgmid

## Methods Detail Top

###
public Number compare ( ReplicationGroupMessageId otherReplicationGroupMessageId )

Compares with other ReplicationGroupMessageId

#### Parameters

ReplicationGroupMessageId | otherReplicationGroupMessageId the other id to compare

#### Return Value

Number | 0 if the ReplicationGroupMessageId is equal to the other ReplicationGroupMessageId. < 0 if the ReplicationGroupMessageId is less than the other ReplicationGroupMessageId. > 0 if the ReplicationGroupMessageId is greater than the other ReplicationGroupMessageId.

#### Throws

solace.OperationError

- if the otherReplicationGroupMessageId is not a ReplicationGroupMessageId type. Subcode: solace.ErrorSubcode.PARAMETER_INVALID_TYPE.
- if the otherReplicationGroupMessageId is not comparable as it is from different origins and can not be compared. Subcode: solace.ErrorSubcode.MESSAGE_ID_NOT_COMPARABLE.

###
public String toString ( )

#### Return Value

String | A generic description of the Destination.